#
# Hibernate, Relational Persistence for Idiomatic Java
#
# License: GNU Lesser General Public License (LGPL), version 2.1 or later.
# See the lgpl.txt file in the root directory or <http://www.gnu.org/licenses/lgpl-2.1.html>.
#
# Default unit/integration test config.
hibernate.show_sql=true
hibernate.max_fetch_depth=5
hibernate.dialect=@db.dialect@
hibernate.connection.driver_class=@jdbc.driver@
hibernate.connection.url=@jdbc.url@
hibernate.connection.username=@jdbc.user@
hibernate.connection.password=@jdbc.pass@
#hibernate.cache.region_prefix hibernate.test
#hibernate.cache.region.factory_class org.hibernate.testing.cache.CachingRegionFactory
#
## NOTE: hibernate.jdbc.batch_versioned_data should be set to false when testing with Oracle
#hibernate.jdbc.batch_versioned_data true
## Configs for spatial databases (used during testing on local dev environment).
#
#hibernate.dialect org.hibernate.spatial.dialect.postgis.PostgisPG95Dialect
#hibernate.connection.driver_class org.postgresql.Driver
#hibernate.connection.url jdbc:postgresql://localhost:9432/
#hibernate.connection.username hibern8
#hibernate.connection.password hibern8
##
## GeoDb (H2 spatial extension)
##
#hibernate.dialect org.hibernate.spatial.dialect.h2geodb.GeoDBDialect
#hibernate.connection.driver_class org.h2.Driver
#hibernate.connection.url jdbc:h2:mem:testhbs;DB_CLOSE_DELAY=-1;MVCC=true
#hibernate.connection.username sa
#hibernate.connection.password sa
##
## Oracle 11g
##
#hibernate.spatial.connection_finder org.hibernate.spatial.dialect.oracle.TestConnectionFinder
#hibernate.dialect org.hibernate.spatial.dialect.oracle.OracleSpatial10gDialect
#hibernate.connection.driver_class oracle.jdbc.OracleDriver
#hibernate.connection.url jdbc:oracle:thin:@localhost:1521/orcl12c
#hibernate.connection.username C##hibernate
#hibernate.connection.password hibernate
#hibernate.dialect org.hibernate.spatial.dialect.oracle.OracleSpatialSDO10gDialect
#hibernate.connection.driver_class oracle.jdbc.OracleDriver
#hibernate.connection.url jdbc:oracle:thin:@localhost:1521/orcl12c
#hibernate.connection.username C##hibernate
#hibernate.connection.password hibernate
#
##
## MS SQL Server dialect
##
#hibernate.dialect org.hibernate.spatial.dialect.sqlserver.SqlServer2008SpatialDialect
#hibernate.connection.driver_class com.microsoft.sqlserver.jdbc.SQLServerDriver
#hibernate.connection.url jdbc:sqlserver://localhost:1433;databaseName=TestDb
#hibernate.connection.username hibern8
#hibernate.connection.password hibern8Pass
##
## MySQL 5 dialects
##
#hibernate.dialect org.hibernate.spatial.dialect.mysql.MySQLSpatialDialect
#hibernate.connection.driver_class com.mysql.jdbc.Driver
#hibernate.connection.url jdbc:mysql://hibernate-spatial-integration.cctaez8ywvn2.eu-west-1.rds.amazonaws.com/test
#hibernate.connection.username hbs
#hibernate.connection.password
##
## MySQL 5 InnoDDB dialect
##
#hibernate.dialect org.hibernate.spatial.dialect.mysql.MySQL56SpatialDialect
#hibernate.connection.driver_class com.mysql.jdbc.Driver
#hibernate.connection.url jdbc:mysql://localhost/testhbs
#hibernate.connection.username hibernate
#hibernate.connection.password hibernate
##
## MySQL 5.6.1 dialect
##
#hibernate.dialect org.hibernate.spatial.dialect.mysql.MySQL56InnoDBSpatialDialect
#hibernate.connection.driver_class com.mysql.jdbc.Driver
#hibernate.connection.url jdbc:mysql://hibernate-spatial-integration.cctaez8ywvn2.eu-west-1.rds.amazonaws.com:3306/test
#hibernate.connection.username hbs
#hibernate.connection.password
##
## HANA dialect
##
#hibernate.dialect org.hibernate.spatial.dialect.hana.HANASpatialDialect
#hibernate.connection.driver_class com.sap.db.jdbc.Driver
#hibernate.connection.url jdbc:sap://localhost:30015
#hibernate.connection.username HIBERNATE_TEST
#hibernate.connection.password H1bernate_test
##
## DB2 dialect
##
#hibernate.dialect org.hibernate.spatial.dialect.db2.DB2SpatialDialect
#hibernate.connection.driver_class com.ibm.db2.jcc.DB2Driver
#hibernate.connection.url jdbc:db2://localhost:50000/hibern8
#hibernate.spatial.db2.srid 4326
#hibernate.connection.username db2inst1
#hibernate.connection.password dbinst1-pwd
